# $Revision: 1.40 $, $Date: 2007/01/14 21:28:17 $
# TODO
# - missing /etc/cron.hourly processing!!!!
# - doesn't obsolete other crondaemons like other Provides: crondaemons do.
Summary:	A cron-like program that can run jobs lost during downtime
Summary(pl):	Wersja crona z moliwoci uruchamiania zapomnianych procesw
Summary(pt_BR):	Auxiliar do cron para mquinas que no ficam ligadas o tempo todo
Name:		anacron
Version:	2.3
Release:	26
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/anacron/%{name}-%{version}.tar.gz
# Source0-md5:	865cc1dfe1ed75c470d3e6de13763f03
Source1:	%{name}tab
Source2:	%{name}.init
Patch0:		%{name}-SIGTERM.patch
Patch1:		%{name}-sendmail.patch
Patch2:		%{name}-content-type.patch
Patch3:		%{name}-mailto.patch
Patch4:		%{name}-noconst.patch
URL:		http://anacron.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	/usr/lib/sendmail
Requires:	rc-scripts
Provides:	crondaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler. It
executes commands at intervals specified in days. Unlike cron, it does
not assume that the system is running continuously. It can therefore
be used to control the execution of daily, weekly and monthly jobs (or
anything with a period of n days), on systems that don't run 24 hours
a day. When installed and configured properly, Anacron will make sure
that the commands are run at the specified intervals as closely as
machine-uptime permits.

This package is pre-configured to execute the daily jobs of the PLD
Linux system. You should install this program if your system isn't
powered on 24 hours a day to make sure the maintenance jobs of other
PLD Linux packages are executed each day.

%description -l pl
Anacron (od ,,anac(h)ronistic'') zajmuje si okresowym wykonywaniem
polece. Wykonuje je w odstpach bdcych wielokrotnoci dni. W
przeciwiestwie do crona nie zakada, e system dziaa 24 godziny na
dob. Dziki temu moe by uywany do wykonywania codziennych,
cotygodniowych i comiesicznych (lub innych powtarzajcych si co ile
dni) zada w systemach, ktre nie s wczone non-stop. Zainstalowany
i poprawnie skonfigurowany Anacron zapewni wykonywanie zleconych zada
tak blisko wyznaczonych terminw, jak tylko moliwe.

Ten pakiet zosta wstpnie skonfigurowany do dziaania w systemie PLD
Linux. Powiniene zainstalowa ten program na systemach, ktre nie s
wczone non-stop aby zapewni uruchamianie rnych zada
utrzymujcych system we waciwych odstpach czasu.

%description -l pt_BR
Anacron  uma agenda para marcar a execuo de comandos em horrios
programados. Ao contrrio do cron, o anacron no requer que o sistema
esteja rodando continuamente, podendo ser executado em sistemas que
no esto ligados 24 horas por dia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/{var/spool/anacron,etc/rc.d/init.d}

install anacron $RPM_BUILD_ROOT%{_sbindir}
install anacron.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install anacrontab.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

for i in cron.daily cron.weekly cron.monthly; do
install -d $RPM_BUILD_ROOT%{_sysconfdir}/$i/
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/$i/0anacron
#!/bin/sh
#
# anacron's cron script
#
# This script updates anacron time stamps. It is called through run-parts
# either by anacron itself or by cron.
#
# The script is called "0anacron" to assure that it will be executed
# _before_ all other scripts.

anacron -u $i

EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add anacron
%service anacron restart "Anacron daemon"

%preun
if [ "$1" = "0" ];then
	%service anacron stop
	/sbin/chkconfig --del anacron
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/anacron
%attr(754,root,root) /etc/rc.d/init.d/*
%config %{_sysconfdir}/anacrontab
%dir /var/spool/anacron/
%attr(750,root,root) %dir %{_sysconfdir}/cron.*
%attr(755,root,root) /etc/cron.daily/0anacron
%attr(755,root,root) %{_sysconfdir}/cron.monthly/0anacron
%attr(755,root,root) %{_sysconfdir}/cron.weekly/0anacron
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anacron.spec,v $
Revision 1.40  2007/01/14 21:28:17  arekm
- rel 26

Revision 1.39  2006/04/16 21:31:40  glen
- fix chkconfig, rc-scripts deps

Revision 1.38  2006/04/02 16:50:17  glen
- pass CC, package /etc/cron.PERIOD dirs, truncate changelog, rel 25

Revision 1.37  2006/04/02 14:19:27  glen
- use %service

Revision 1.36  2005/09/29 17:50:20  glen
- one more Red Hat -> PLD
- add TODO of missing cron.hourly and cron dirs

Revision 1.35  2005/06/08 13:43:50  grzegol
- added mailto patch from FC (add MAILTO option)
- added noconst patch from FC (buildfix)
- rel. 24

Revision 1.34  2004/03/03 22:27:59  undefine
- add charset patch from fedora, release 23

Revision 1.33  2003/09/01 05:14:36  misi3k
- cosmetics

Revision 1.32  2003/08/06 16:09:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.31  2003/06/11 23:09:31  misi3k
- standarized SF URL

Revision 1.30  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/21 21:45:46  blues
- release 22 - provides crondaemon (pointed by Tomasz Wasiak
  <tjwasiak@grubasek.komputom.com.pl> )

Revision 1.27  2002/12/12 01:33:17  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.26  2002/10/10 11:34:51  marcus
- use new %doc

Revision 1.25  2002/04/25 15:44:16  arturs
- fixed a small typo

Revision 1.24  2002/04/23 19:59:18  mkochano
- Release 21.
- s@/usr/lub/sendmail@/usr/lib/sendmail@.
          ^                 ^
  STBR

Revision 1.23  2002/04/22 05:45:45  kloczek
- release 20,
- merge translations from Conectiva,
- added sendmail patch (use /usr/lib/sendmail instead /usr/sbin/sendmail).

Revision 1.22  2002/03/19 09:06:56  mkochano
- Release 19.
- Replaced RedHat with PLD.
- Better Polish description.
- Added SIGTERM patch.

Revision 1.21  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:12:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/18 14:51:35  kloczek
- bump release to 18.

Revision 1.17  2001/09/24 09:34:14  qboosh
- run chkconfig --del only on remove, not upgrade

Revision 1.16  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/04/30 16:05:14  kloczek
- added using %{rpmcflags} macro.

Revision 1.12  2001/04/02 06:41:45  kloczek
- release 16.

Revision 1.11  2001/01/25 20:03:20  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/23 00:48:42  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.9  2000/11/06 13:22:55  undefine

- adding sourceurl and url

Revision 1.8  2000/11/05 16:22:09  kloczek
- removed COPYING from %doc.

Revision 1.7  2000/11/05 12:55:17  undefine

- anacron isn't standard cron daemon!
- removing obsoletes & provides crondeamons
- rename cron -> anacron

Revision 1.6  2000/10/10 16:48:20  kloczek
- bump release to 10 (for allow upgrade from RH 7),
- adapterized, make %{debug} ready.
- added Provides: crondeamon, crontabs amd Obsoletes for crondeamon, hc-cron,
  vixie-cron,
- standarized %post/%preun,
- rewrited init script.
  NOTE: released but it will be good add patch for read crontabs from
  /etc/cron.d (like on vixie-cron and hc-cron) and remove /etc/anacrontab.

Revision 1.5  2000/10/10 16:12:00  undefine
- Updating to 2.3

Revision 1.4  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.3  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.2  2000/05/19 11:30:00  kloczek
- partialy rewrited.

Revision 1.1  2000/05/19 08:49:22  undefine
- Initial version for PLD
